# reddit.redditors

class `praw.models.``Redditors`(reddit: Reddit, _data: Optional[Dict[str, Any]])

  Redditors is a Listing class that provides various Redditor lists.

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]])

    Initialize a PRAWModel instance.

    Parameters

      reddit – An instance of `Reddit`.

  `new`(**generator_kwargs: Union[str, int, Dict[str, str]]) → Iterator[Subreddit]

    Return a `ListingGenerator` for new Redditors.

    Returns

      Redditor profiles, which are a type of `Subreddit`.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.

  `partial_redditors`(ids: Iterable[str]) → Iterator[praw.models.redditors.PartialRedditor]

    Get user summary data by redditor IDs.

    Parameters

      ids – An iterable of redditor fullname IDs.

    Returns

      A iterator producing types.SimpleNamespace objects.

    Each ID must be prefixed with `t2_`.

    Invalid IDs are ignored by the server.

  `popular`(**generator_kwargs: Union[str, int, Dict[str, str]]) → Iterator[Subreddit]

    Return a `ListingGenerator` for popular Redditors.

    Returns

      Redditor profiles, which are a type of `Subreddit`.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

  `search`(query: str, **generator_kwargs: Union[str, int, Dict[str, str]]) → Iterator[Subreddit]

    Return a `ListingGenerator` of Redditors for `query`.

    Parameters

      query – The query string to filter Redditors by.

    Returns

      `Redditor`s.

    Additional keyword arguments are passed in the initialization of `ListingGenerator`.

  `stream`(**stream_options: Union[str, int, Dict[str, str]]) → Iterator[Subreddit]

    Yield new Redditors as they are created.

    Redditors are yielded oldest first. Up to 100 historical Redditors will initially be returned.

    Keyword arguments are passed to `stream_generator()`.

    Returns

      Redditor profiles, which are a type of `Subreddit`.